Package org.codehaus.groovy.util

# Class ReferenceBundle

java.lang.Object
org.codehaus.groovy.util.ReferenceBundle

public class ReferenceBundle extends Object
Couples a `ReferenceType` with the `ReferenceManager` responsible for processing it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceBundle(ReferenceManager manager, ReferenceType type)`
  Creates a reference bundle for the supplied manager and reference type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReferenceBundle`
  `getHardBundle()`
  Returns the shared hard-reference bundle.
  `ReferenceManager`
  `getManager()`
  Returns the manager associated with this bundle.
  `static ReferenceBundle`
  `getPhantomBundle()`
  Returns the shared phantom-reference bundle.
  `static ReferenceBundle`
  `getSoftBundle()`
  Returns the shared soft-reference bundle.
  `ReferenceType`
  `getType()`
  Returns the reference kind represented by this bundle.
  `static ReferenceBundle`
  `getWeakBundle()`
  Returns the shared weak-reference bundle.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReferenceBundle

    public ReferenceBundle(ReferenceManager manager, ReferenceType type)
    Creates a reference bundle for the supplied manager and reference type.
    Parameters:
      `manager` - the manager that processes collected references
      `type` - the reference kind to create

- ## Method Details

  - ### getType

    public ReferenceType getType()
    Returns the reference kind represented by this bundle.
    Returns:
      the configured reference type

  - ### getManager

    public ReferenceManager getManager()
    Returns the manager associated with this bundle.
    Returns:
      the reference manager

  - ### getSoftBundle

    public static ReferenceBundle getSoftBundle()
    Returns the shared soft-reference bundle.
    Returns:
      the shared soft-reference bundle

  - ### getWeakBundle

    public static ReferenceBundle getWeakBundle()
    Returns the shared weak-reference bundle.
    Returns:
      the shared weak-reference bundle

  - ### getHardBundle

    public static ReferenceBundle getHardBundle()
    Returns the shared hard-reference bundle.
    Returns:
      the shared hard-reference bundle

  - ### getPhantomBundle

    public static ReferenceBundle getPhantomBundle()
    Returns the shared phantom-reference bundle.
    Returns:
      the shared phantom-reference bundle